Retrieve Object User Action Details
Once you've retrieved the available user actions, use this request to retrieve the details for a specific user action.
GET
/api/{version}/vobjects/{object_name}/{object_record_id}/actions/{action_name}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
object_name | The object name__v field value. |
object_record_id | The object record id field value from which to retrieve user action details. |
action_name | Either the name of the Objectaction or Objectlifecyclestateuseraction to initiate. This is obtained from the Retrieve User Actions request. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.2/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__cResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"links": [
{
"rel": "metadata",
"accept": "application/json",
"Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c",
"method": "GET"
},
{
"rel": "execute",
"accept": "application/json",
"Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c",
"method": "POST"
}
],
"label": "Copy Record",
"type": "object_action",
"name": "Objectaction.product__v.copy_record__c"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response returns metadata for the specified object action.
- For users with the View permission, the response includes a link to retrieve the metadata for the specified user action.
- For users without the View permission, the response returns an
INSUFFICIENT_ACCESSerror. - For users with the Execute permission, the response includes a link to initiate the specified action.
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.2/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__cResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"links": [
{
"rel": "metadata",
"accept": "application/json",
"Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c",
"method": "GET"
},
{
"rel": "execute",
"accept": "application/json",
"Href": "api/v17.3/vobjects/product_v/0PR0771/actions/Objectaction.product__v.copy_record__c",
"method": "POST"
}
],
"label": "Copy Record",
"type": "object_action",
"name": "Objectaction.product__v.copy_record__c"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response lists the fields that must be configured with values in order to initiate the user action. These are based on the controls configured in the workflow start step.
- For users with the View permission, the response includes a link to retrieve the metadata for the specified user action.
- For users without the View permission, the response returns an
INSUFFICIENT_ACCESSerror. - For users with the Execute permission on the action, the response includes a link to initiate the specified action.
For actions with the type: workflow, the following types of controls may be returned:
| Name | Description |
|---|---|
instructions | Contains static instruction text regarding workflow initiation. |
participant | Used to specify users who will be part of the workflow. |
date | Date selections for the workflow, such as due date. |
field | All object fields requiring values. |
For each control, the following data may be returned: